Crear un ticket
curl --request POST \
--url https://api.revem.ai/tickets/public/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"funnelStageId": 123,
"assignedToProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pointOfContact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customAttributes": {},
"initialNote": "<string>",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
funnelStageId: 123,
assignedToProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pointOfContact: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
account: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customAttributes: {},
initialNote: '<string>',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.revem.ai/tickets/public/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revem.ai/tickets/public/v1"
payload = {
"title": "<string>",
"funnelStageId": 123,
"assignedToProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pointOfContact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customAttributes": {},
"initialNote": "<string>",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"ok": true,
"error": "<string>"
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": false,
"error": "Too many requests. Retry in 60 seconds."
}Tickets
Crear un ticket
Crea un ticket en una etapa del tenant. La API key no suplanta a una persona: createdByProfileId queda en null. Las referencias, la nota inicial y la vinculación de conversación se validan y guardan de forma atómica. La visibilidad y el estado inicial siguen las reglas del embudo. No es un upsert: repetir una solicitud exitosa crea otro ticket.
POST
/
tickets
/
public
/
v1
Crear un ticket
curl --request POST \
--url https://api.revem.ai/tickets/public/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"funnelStageId": 123,
"assignedToProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pointOfContact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customAttributes": {},
"initialNote": "<string>",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
funnelStageId: 123,
assignedToProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pointOfContact: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
account: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customAttributes: {},
initialNote: '<string>',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.revem.ai/tickets/public/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revem.ai/tickets/public/v1"
payload = {
"title": "<string>",
"funnelStageId": 123,
"assignedToProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pointOfContact": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customAttributes": {},
"initialNote": "<string>",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"ok": true,
"error": "<string>"
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}{
"ok": false,
"error": "Too many requests. Retry in 60 seconds."
}Authorizations
Body
application/json
